Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.syndication.module
Interface Blojsom

All Superinterfaces:
  java.lang.Cloneable, com.sun.syndication.feed.CopyFrom, com.sun.syndication.feed.module.Module

All Known Implementing Classes:
  BlojsomImplementation

public interface Blojsom
extends com.sun.syndication.feed.module.Module

Module for parsing blojsom-specific information using ROME

Since:
  blojsom 3.0
Version:
  $Id: Blojsom.java,v 1.3 2006/05/04 20:03:53 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`static java.lang.String` | `BLOJSOM_URI`

Method Summary
`boolean` | `getAllowsComments()`
`boolean` | `getAllowsPingbacks()`
`boolean` | `getAllowsTrackbacks()`
`java.lang.String` | `getAuthor()`
`java.util.List` | `getComments()`
`java.util.List` | `getMetadata()`
`java.util.List` | `getPingbacks()`
`java.lang.String` | `getPostSlug()`
`java.lang.String` | `getTechnoratiTags()`
`java.util.List` | `getTrackbacks()`
`void` | `setAllowsComments(boolean allowsComments)`
`void` | `setAllowsPingbacks(boolean allowsPingbacks)`
`void` | `setAllowsTrackbacks(boolean allowsTrackbacks)`
`void` | `setAuthor(java.lang.String author)`
`void` | `setComments(java.util.List comments)`
`void` | `setMetadata(java.util.List metadata)`
`void` | `setPingbacks(java.util.List pingbacks)`
`void` | `setPostSlug(java.lang.String postSlug)`
`void` | `setTechnoratiTags(java.lang.String technoratiTags)`
`void` | `setTrackbacks(java.util.List trackbacks)`

Methods inherited from interface com.sun.syndication.feed.module.Module
`clone, getUri`

Methods inherited from interface com.sun.syndication.feed.CopyFrom
`copyFrom, getInterface`

Field Detail

### BLOJSOM_URI

    public static final java.lang.String BLOJSOM_URI

See Also:
  Constant Field Values

Method Detail

### getAuthor

    public java.lang.String getAuthor()

### setAuthor

    public void setAuthor(java.lang.String author)

### getPostSlug

    public java.lang.String getPostSlug()

### setPostSlug

    public void setPostSlug(java.lang.String postSlug)

### getTechnoratiTags

    public java.lang.String getTechnoratiTags()

### setTechnoratiTags

    public void setTechnoratiTags(java.lang.String technoratiTags)

### getAllowsComments

    public boolean getAllowsComments()

### setAllowsComments

    public void setAllowsComments(boolean allowsComments)

### getAllowsTrackbacks

    public boolean getAllowsTrackbacks()

### setAllowsTrackbacks

    public void setAllowsTrackbacks(boolean allowsTrackbacks)

### getAllowsPingbacks

    public boolean getAllowsPingbacks()

### setAllowsPingbacks

    public void setAllowsPingbacks(boolean allowsPingbacks)

### getComments

    public java.util.List getComments()

### setComments

    public void setComments(java.util.List comments)

### getTrackbacks

    public java.util.List getTrackbacks()

### setTrackbacks

    public void setTrackbacks(java.util.List trackbacks)

### getPingbacks

    public java.util.List getPingbacks()

### setPingbacks

    public void setPingbacks(java.util.List pingbacks)

### getMetadata

    public java.util.List getMetadata()

### setMetadata

    public void setMetadata(java.util.List metadata)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD